#ifndef CONFIG_H
#define CONFIG_H

#ifdef _WIN32
/* #undef HAVE__FTIME64_S */
#define HAVE_QUERYPERFORMANCECOUNTER
#else

/* This file checks for platform-specific includes which may or may
 * not be available during build time. The config_static.h file includes
 * files mentioned here as well as other files whose availability can be
 * inferred from compile-time macros
 */

#define HAVE_CLOCK_GETTIME
#define HAVE_DLFCN_H
/* #undef HAVE_GETHRTIME */
#define HAVE_GETTIMEOFDAY
#define HAVE_INTTYPES_H
#define HAVE_NETDB_H
#define HAVE_SETITIMER
#define HAVE_STDINT_H
#define HAVE_STDDEF_H
#define HAVE_FCNTL_H
/* #undef HAVE_HTONLL */
#define HAVE_STRINGS_H
#define HAVE_SYS_SOCKET_H
#define HAVE_SYS_STAT_H
#define HAVE_SYS_TIME_H
#define HAVE_SYS_TYPES_H
#define HAVE_SYS_UIO_H
#define HAVE_UNISTD_H
#define HAVE_ARPA_INET_H
#define HAVE_RES_SEARCH
#define HAVE_ARPA_NAMESER_H

#ifndef HAVE_LIBEVENT
#define HAVE_LIBEVENT
#endif

#ifndef HAVE_LIBEVENT2
#define HAVE_LIBEVENT2
#endif

#ifndef HAVE_LIBEV3
/* #undef HAVE_LIBEV3 */
#endif

#ifndef HAVE_LIBEV4
#define HAVE_LIBEV4
#endif

#ifndef HAVE_LIBUV
#define HAVE_LIBUV
#endif

#endif

#define LCB_USE_HDR_HISTOGRAM

#include "config_static.h"

#define LCB_LIBDIR "/usr/lib64/libcouchbase"

#define LCB_SYSTEM "Linux-6.6.13-200.fc39.x86_64"
#define LCB_SYSTEM_PROCESSOR "x86_64"
#define LCB_CXX_COMPILER "GNU 14.0.1"
#define LCB_CXX_FLAGS "-O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -march=x86-64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -fno-strict-aliasing -ggdb3 -pthread"
#define LCB_C_COMPILER "GNU 14.0.1"
#define LCB_C_FLAGS "-O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -march=x86-64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -fno-strict-aliasing -ggdb3 -pthread"
#define LCB_BUILD_TIMESTAMP "2024-01-25 00:00:00"

#define LCB_CLIENT_ID                                                                                                  \
    "libcouchbase/" LCB_VERSION_STRING " (" LCB_SYSTEM "; " LCB_SYSTEM_PROCESSOR "; " LCB_C_COMPILER ")"

/* #undef CMAKE_BUILD_TYPE */

#define HAVE_PKCS5_PBKDF2_HMAC
/* #undef LCB_DUMP_PACKETS */

/* #undef LCB_TLS_LOG_KEYS */

/* #undef LCB_USE_ASAN */
#endif
